Subject: Re: bi_recs

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 01 Oct 2004 13:40:08 +1000

On Fri, 2004-10-01 at 13:11, Kumar Gala wrote:

> 
> I would be nice to have an extensive and dynamic way to pass info from 
> the bootloader to the kernel.  I believe that Wolfgang has stated he 
> would be willing to change u-boot to match.  I'd be willing to fixup 
> and move Freescale boards over to use something as long as we get 
> u-boot to support it as well.
> 
> I've been told that ARM has a solution, in place, to this problem that 
> might always be worth looking at.

I'd rather see you guys sync with what I did on ppc64 and use that 
kind of OF device-tree, we already have all the code for using it
and it would make the mecanism compatible with the prep/chrp/pmac
kernel...

But that's just a suggestion...

Ben.